<div class="container">
  <mat-horizontal-stepper [linear]="isLinear" #stepper>
    <mat-step [stepControl]="firstFormGroup">
      <div class="row">
      <h5>Выбрите водителя:</h5>
      <h6 *ngIf="isErr">Водитель не выбран</h6>
      </div>
      <form #formFirstControl="ngForm" novalidate (ngSubmit)="onSubmit(stepper)">
        <mat-form-field>
          <label>
            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Поиск">
          </label>
        </mat-form-field>
        <div class="example-table-container">
          <mat-table [dataSource]="dataSource">

            <!-- Position Column -->
            <ng-container matColumnDef="id">
              <mat-header-cell *matHeaderCellDef> ID</mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.id}} </mat-cell>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="name">
              <mat-header-cell mat-header-cell *matHeaderCellDef> ФИО</mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>

            </ng-container>

            <ng-container matColumnDef="phone">
              <mat-header-cell mat-header-cell *matHeaderCellDef> Телефон</mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.phone}} </mat-cell>

            </ng-container>

            <!-- Weight Column -->
            <ng-container matColumnDef="balance">
              <mat-header-cell mat-header-cell *matHeaderCellDef > Баланс</mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.balance}} </mat-cell>

            </ng-container>

            <!-- Symbol Column -->
            <ng-container matColumnDef="auto">
              <mat-header-cell mat-header-cell *matHeaderCellDef> Автомобиль</mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.auto}} </mat-cell>

            </ng-container>

            <ng-container matColumnDef="isBlock">
              <mat-header-cell mat-header-cell *matHeaderCellDef> Заблокирован
              </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.isBlock}} </mat-cell>

            </ng-container>

            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row [class.active]="row.id === selectedId" *matRowDef="let row; columns: displayedColumns;" (click)="selectRow(row.id)"></mat-row>

          </mat-table>

        </div>
        <mat-paginator [length]="length"
                       [pageSize]="pageSize"
                       [pageSizeOptions]="pageSizeOptions">
        </mat-paginator>

        <div class="example-button-row">
          <button mat-raised-button (click)="cancel()">Назад</button>
          <button mat-raised-button type="submit" color="primary">Далее</button>
        </div>
      </form>
    </mat-step>
    <mat-step [stepControl]="secondFormGroup">
      <h5>Сумма зачисления:</h5>
      <form #formMainConfig="ngForm" novalidate>
        <table>
          <tr>
            <td>
              <mat-form-field>
                <input matInput placeholder="Сумма зачисления" name="minBalanceDriver"
                       [formControl]="summAddForm" [(ngModel)]="summAdd" required
                       pattern="(^[-?, 0-9]*$)|^(\s*$)">
              </mat-form-field>
            </td>
          </tr>
          <tr>
            <td>
              <mat-form-field class="example-full-50-width">
                <textarea matInput [matTextareaAutosize]="true" placeholder="Комментарий" [(ngModel)]="commentValue"
                          name="commentValue"></textarea>
              </mat-form-field>
            </td>
          </tr>
        </table>
        <div class="example-button-row">
          <button mat-raised-button matStepperPrevious>Назад</button>
          <button mat-raised-button color="primary" (click)="accept()">Зачислить денежные средства</button>
        </div>
      </form>
    </mat-step>
  </mat-horizontal-stepper>

</div>
